package com.supServer.project.mapper;

import com.supServer.project.entity.BizCompanyInfo;
import com.supServer.project.entity.dto.CompanyAuthenticationDto;
import com.supServer.project.entity.vo.AttestationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BizCompanyInfoMapper {
    int insertCompany(BizCompanyInfo companyInfo);

    CompanyAuthenticationDto information(String phone);

    Integer selectBycode(@Param("creditCode") String creditCode);

    BizCompanyInfo selectCompanyInfo(String creditCode);

    int updateCompany(BizCompanyInfo bizcompanyInfoId);

    AttestationVo seleceById(String userId);
}
